SystemOrganization addCategory: #ConfigurationOfAWS!

Object subclass: #ConfigurationOfAWS
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfAWS'!

!ConfigurationOfAWS commentStamp: '<historical>' prior: 0!
Copy me to create a new configuration or edit and evaluate the following doits.

        "Create configuration class and initial baseline method"

        MetacelloToolBox 
                createBaseline: '1.0-baseline'
                for: 'MyProject'
                repository: 'http://www.example.com/MyProjectRepository'
                requiredProjects: #('Gofer')
                packages: #('MyProject-Core' 'MyProject-Tests')
                dependencies:
                        {('MyProject-Core' -> #('Gofer')).
                         ('MyProject-Tests' -> #('MyProject-Core'))}
                groups:
                        {('default' -> #('Core')).
                        ('Core' -> #('MyProject-Core')).
                        ('Tests' -> #('MyProject-Tests'))}.

	   "create initial development method from the baseline"

         MetacelloToolBox
               createDevelopment: '1.0'
               for: 'MyProject'
                importFromBaseline: '1.0-baseline'
                description: 'initial version'.
!

!ConfigurationOfAWS class methodsFor: 'development support' stamp: 'ShoYoshida 12/26/2014 13:31'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfAWS class methodsFor: 'private' stamp: 'ShoYoshida 12/26/2014 13:31'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfAWS class methodsFor: 'private' stamp: 'ShoYoshida 12/26/2014 13:31'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfAWS class methodsFor: 'private' stamp: 'ShoYoshida 12/26/2014 13:31'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfAWS class methodsFor: 'metacello tool support' stamp: 'ShoYoshida 12/26/2014 13:31'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfAWS class methodsFor: 'loading' stamp: 'ShoYoshida 12/26/2014 14:03'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^self project latestVersion load! !

!ConfigurationOfAWS class methodsFor: 'loading' stamp: 'ShoYoshida 12/26/2014 13:31'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfAWS class methodsFor: 'loading' stamp: 'ShoYoshida 12/26/2014 13:31'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfAWS class methodsFor: 'accessing' stamp: 'ShoYoshida 12/26/2014 13:31'!
project

	^self new project! !

!ConfigurationOfAWS class methodsFor: 'development support' stamp: 'ShoYoshida 12/26/2014 13:31'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfAWS methodsFor: 'baselines' stamp: 'ShoYoshida 7/6/2015 23:19'!
baseline100: spec 
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec project: 'JSON' with: [
			spec
				className: 'ConfigurationOfJSON';
				versionString: #stable;
				repository: 'http://smalltalkhub.com/mc/PharoExtras/JSON/main'. ].
			
		spec package: 'Cryptography' with: [
			spec repository: 'http://smalltalkhub.com/mc/Cryptography/Cryptography/main'. ].
	].! !

!ConfigurationOfAWS methodsFor: 'baselines' stamp: 'ShoYoshida 6/5/2015 14:16'!
baseline110: spec 
	<version: '1.1-baseline'>
	
	spec for: #common do: [
		spec project: 'JSON' with: [
			spec
				className: 'ConfigurationOfJSON';
				versionString: #stable;
				repository: 'http://smalltalkhub.com/mc/PharoExtras/JSON/main'. ].
	].

	spec for: #(#'pharo3.x') do:[			
		spec package: 'Cryptography' with: [
			spec repository: 'http://smalltalkhub.com/mc/Cryptography/Cryptography/main'. ].
	].! !

!ConfigurationOfAWS methodsFor: 'baselines' stamp: 'ShoYoshida 7/10/2015 08:10'!
baseline111: spec 
	<version: '1.1.1-baseline'>
	
	spec for: #common do: [
		spec project: 'JSON' with: [
			spec
				className: 'ConfigurationOfJSON';
				versionString: #stable;
				repository: 'http://smalltalkhub.com/mc/PharoExtras/JSON/main'. ].
																					
		spec package: 'MethodsDefiner' with: [
			spec repository: 'http://smalltalkhub.com/mc/MasashiUmezawa/MethodsDefiner/main'. ].																			
	].

	spec for: #(#'pharo3.x') do:[			
		spec package: 'Cryptography' with: [
			spec repository: 'http://smalltalkhub.com/mc/Cryptography/Cryptography/main'. ].
	].! !

!ConfigurationOfAWS methodsFor: 'baselines' stamp: 'ShoYoshida 8/6/2016 18:50'!
baseline112: spec 
	<version: '1.1.2-baseline'>
	
	spec for: #common do: [
		spec project: 'JSON' with: [
			spec
				className: 'ConfigurationOfJSON';
				versionString: #stable;
				repository: 'http://smalltalkhub.com/mc/PharoExtras/JSON/main'. ].																	
	].

	spec for: #(#'pharo3.x') do:[			
		spec package: 'Cryptography' with: [
			spec repository: 'http://smalltalkhub.com/mc/Cryptography/Cryptography/main'. ].
	].! !

!ConfigurationOfAWS methodsFor: 'baselines' stamp: 'ShoYoshida 8/6/2016 18:56'!
baseline113: spec 
	<version: '1.1.3-baseline'>
	
	spec for: #common do: [
		spec project: 'JSON' with: [
			spec
				className: 'ConfigurationOfJSON';
				versionString: #stable;
				repository: 'http://smalltalkhub.com/mc/PharoExtras/JSON/main'. ].	
	
		spec project: 'XMLParser' with: [
			spec
				className: 'ConfigurationOfXMLParser'; 
				versionString: #stable;
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLParser/main'. ].																
	].

	spec for: #(#'pharo3.x') do:[			
		spec package: 'Cryptography' with: [
			spec repository: 'http://smalltalkhub.com/mc/Cryptography/Cryptography/main'. ].
	].! !

!ConfigurationOfAWS methodsFor: 'accessing' stamp: 'ShoYoshida 12/26/2014 13:31'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfAWS methodsFor: 'accessing' stamp: 'ShoYoshida 12/26/2014 14:02'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: #notDefined.
! !

!ConfigurationOfAWS methodsFor: 'accessing' stamp: 'ShoYoshida 12/26/2014 13:31'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfAWS methodsFor: 'accessing' stamp: 'ShoYoshida 12/26/2014 14:02'!
stable: spec 
	<symbolicVersion: #stable>
	
	spec for: #'common' version: #notDefined.! !

!ConfigurationOfAWS methodsFor: 'versions' stamp: 'ShoYoshida 1/8/2015 19:38'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline')>
	
	spec for: #common do: [	
		"spec blessing: #development."
		spec project: 'JSON' with: '1.0'.
		spec package: 'Cryptography' with: 'Cryptography-mtf.36'.
		spec
                baseline: 'AWS' with: [ spec repository: 					'github://newapplesho/aws-sdk-smalltalk:9380f510a34a3b0aeb0f6907304ccf6aec07b129/pharo-repository' ];
                import: 'AWS'
	]! !

!ConfigurationOfAWS methodsFor: 'versions' stamp: 'ShoYoshida 1/26/2015 23:10'!
version11: spec
	<version: '1.1' imports: #('1.0-baseline')>
	
	spec for: #common do: [	
		"spec blessing: #development."
		spec project: 'JSON' with: '1.0'.
		spec package: 'Cryptography' with: 'Cryptography-mtf.36'.
		spec
                baseline: 'AWS' with: [ spec repository: 					'github://newapplesho/aws-sdk-smalltalk:67c4bac33be6d16c72c40a52ebe272c6623e3054/pharo-repository' ];
                import: 'AWS'
	]! !

!ConfigurationOfAWS methodsFor: 'versions' stamp: 'ShoYoshida 5/26/2015 11:14'!
version12: spec
	<version: '1.2' imports: #('1.0-baseline')>
	
	spec for: #common do: [	
		"spec blessing: #development."
		spec project: 'JSON' with: '1.0'.
		spec package: 'Cryptography' with: 'Cryptography-mtf.36'.
		spec
                baseline: 'AWS' with: [ spec repository: 					'github://newapplesho/aws-sdk-smalltalk:8f9febb5ff3adb4550fc9e573598de93eb077ae6/pharo-repository' ];
                import: 'AWS'
	]! !

!ConfigurationOfAWS methodsFor: 'versions' stamp: 'ShoYoshida 6/5/2015 14:19'!
version13: spec
	<version: '1.3' imports: #('1.1-baseline')>
	
	spec for: #common do: [	
		"spec blessing: #development."
		spec project: 'JSON' with: #stable.
		spec
			baseline: 'AWS' with: [ spec repository:'github://newapplesho/aws-sdk-smalltalk:c490386e6970a5b62859242b09fd4b7416fb1c19/pharo-repository' ];
		import: 'AWS'
	].

	spec for: #'pharo3.x' do: [
		spec package: 'Cryptography' with: 'Cryptography-mtf.36'. ].! !

!ConfigurationOfAWS methodsFor: 'versions' stamp: 'ShoYoshida 7/13/2015 11:35'!
version141: spec
	<version: '1.4.1' imports: #('1.1.1-baseline')>
	
	spec for: #common do: [	
		"spec blessing: #development."
		spec project: 'JSON' with: #stable.
		spec package: 'MethodsDefiner' with: 'MethodsDefiner-Core-MasashiUmezawa.4'.
		spec
			baseline: 'AWS' with: [ spec repository:'github://newapplesho/aws-sdk-smalltalk:78d96f7a5f619a3eb92d48cd5a4e61844920dce9/pharo-repository' ];
		import: 'AWS'
	].

	spec for: #'pharo3.x' do: [
		spec package: 'Cryptography' with: 'Cryptography-mtf.36'. ].! !

!ConfigurationOfAWS methodsFor: 'versions' stamp: 'ShoYoshida 7/22/2015 09:36'!
version142: spec
	<version: '1.4.2' imports: #('1.1.1-baseline')>
	
	spec for: #common do: [	
		"spec blessing: #development."
		spec project: 'JSON' with: #stable.
		spec package: 'MethodsDefiner' with: 'MethodsDefiner-Core-MasashiUmezawa.4'.
		spec
			baseline: 'AWS' with: [ spec repository:'github://newapplesho/aws-sdk-smalltalk:f5e9697d94aba9dc238db0bbb5b7fe48adab26c5/pharo-repository' ];
		import: 'AWS'
	].

	spec for: #'pharo3.x' do: [
		spec package: 'Cryptography' with: 'Cryptography-mtf.36'. ].! !

!ConfigurationOfAWS methodsFor: 'versions' stamp: 'ShoYoshida 7/6/2015 23:47'!
version14: spec
	<version: '1.4' imports: #('1.1-baseline')>
	
	spec for: #common do: [	
		"spec blessing: #development."
		spec project: 'JSON' with: #stable.
		spec
			baseline: 'AWS' with: [ spec repository:'github://newapplesho/aws-sdk-smalltalk:7978adb9ffba30c43dabd82eb6750b1234aa6e9f/pharo-repository' ];
		import: 'AWS'
	].

	spec for: #'pharo3.x' do: [
		spec package: 'Cryptography' with: 'Cryptography-mtf.36'. ].! !

!ConfigurationOfAWS methodsFor: 'versions' stamp: 'ShoYoshida 8/5/2015 19:46'!
version151: spec
	<version: '1.5.1' imports: #('1.1.2-baseline')>
	
	spec for: #common do: [	
		"spec blessing: #development."
		spec project: 'JSON' with: #stable.
		spec
			baseline: 'AWS' with: [ spec repository:'github://newapplesho/aws-sdk-smalltalk:670be068cd8f5eda47469a1ddecdf7a8b1dadfbf/pharo-repository' ];
		import: 'AWS'
	].

	spec for: #'pharo3.x' do: [
		spec package: 'Cryptography' with: 'Cryptography-mtf.36'. ].! !

!ConfigurationOfAWS methodsFor: 'versions' stamp: 'ShoYoshida 7/24/2015 20:11'!
version15: spec
	<version: '1.5' imports: #('1.1.1-baseline')>
	
	spec for: #common do: [	
		"spec blessing: #development."
		spec project: 'JSON' with: #stable.
		spec package: 'MethodsDefiner' with: 'MethodsDefiner-Core-MasashiUmezawa.4'.
		spec
			baseline: 'AWS' with: [ spec repository:'github://newapplesho/aws-sdk-smalltalk:b31f0844a0320a995035dd54d86bbe5585bc08a8/pharo-repository' ];
		import: 'AWS'
	].

	spec for: #'pharo3.x' do: [
		spec package: 'Cryptography' with: 'Cryptography-mtf.36'. ].! !

!ConfigurationOfAWS methodsFor: 'versions' stamp: 'ShoYoshida 4/10/2016 01:53'!
version161: spec
	<version: '1.6.1' imports: #('1.1.2-baseline')>
	
	spec for: #common do: [	
		spec project: 'JSON' with: #stable.
		spec
			baseline: 'AWS' with: [ spec repository:'github://newapplesho/aws-sdk-smalltalk:v1.6.1/pharo-repository' ];
		import: 'AWS'
	].

	spec for: #'pharo3.x' do: [
		spec package: 'Cryptography' with: 'Cryptography-mtf.36'. ].! !

!ConfigurationOfAWS methodsFor: 'versions' stamp: 'ShoYoshida 12/30/2015 19:05'!
version16: spec
	<version: '1.6' imports: #('1.1.2-baseline')>
	
	spec for: #common do: [	
		"spec blessing: #development."
		spec project: 'JSON' with: #stable.
		spec
			baseline: 'AWS' with: [ spec repository:'github://newapplesho/aws-sdk-smalltalk:v1.6/pharo-repository' ];
		import: 'AWS'
	].

	spec for: #'pharo3.x' do: [
		spec package: 'Cryptography' with: 'Cryptography-mtf.36'. ].! !

!ConfigurationOfAWS methodsFor: 'versions' stamp: 'ShoYoshida 8/6/2016 16:59'!
version17: spec
	<version: '1.7' imports: #('1.1.3-baseline')>
	
	spec for: #common do: [	
		spec project: 'JSON' with: #stable.
		spec
			baseline: 'AWS' with: [ spec repository:'github://newapplesho/aws-sdk-smalltalk:v1.7/pharo-repository' ];
		import: 'AWS'
	].

	spec for: #'pharo3.x' do: [
		spec package: 'Cryptography' with: 'Cryptography-mtf.36'. ].! !
